Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image
Class AcmeGifHelper

    java.lang.Object
      com.bbn.openmap.image.AcmeGifHelper

public class AcmeGifHelper
extends java.lang.Object

This class provides some utility methods for creating gif encoded images, using the Acme code available at http://www.acme.com/java/ A copy has been included in the contrib directory.

Method Summary
`static byte[]` | `encodeGif(java.awt.image.BufferedImage image)` Return a byte array that contains the GIF encoded image.
`static byte[]` | `encodeGif(int w, int h, int[] pixels)` Return a byte array that contains the GIF encoded image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### encodeGif

    public static byte[] encodeGif(java.awt.image.BufferedImage image)
                            throws java.io.IOException

  Return a byte array that contains the GIF encoded image.

  Parameters:
    `image` - the image to encode
  Throws:
    `java.io.IOException` - an error occured in encoding the image

### encodeGif

    public static byte[] encodeGif(int w,
                                   int h,
                                   int[] pixels)
                            throws java.io.IOException

  Return a byte array that contains the GIF encoded image.

  Parameters:
    `w` - the width of the image
    `h` - the height of the image
    `pixels` - the array of pixels in RGB directcolor
  Throws:
    `java.io.IOException` - an error occured in encoding the image

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details